void InitTowns(bool first)
{
	object townobj;
	ref town;

	makeref(town, townobj);
	town.id = "Redmond";
	if(first) town.name = TranslateString("", "Santiago Vega");
	town.island = "Redmond";
	town.position.x = -54.605331;
	town.position.z = -243.0;
	town.monsterprob = 1.0;
	if(first)
		town.size = 2000;
	else
		town.size = Towns[GetTownIndex(town.id)].size;
	town.gold = sti(town.size) * TOWN_GOLD_SCALAR;
	if(first) town.nation = SPAIN; // KK
	town.homeland = SPAIN; // KK
	town.store = REDMOND_STORE;
	town.gov = "John Clifford Brin"; // KK
	town.officiant = "Redmond_officiant"; // KK
	town.forts.Quantity = 1;
	town.forts."0".fortchar = "Redmond Commander";
	town.troops = sti(town.size) * 2 / 5;
	town.crew.quantity = sti(town.size)/8 + rand(sti(town.size)/4);
	town.crew.morale = MORALE_NORMAL - 20 + Rand(40);
	ModifyTown(town);

	// Thomas the Terror -->
	locations[FindLocation("Redmond_Town_01")].filespath.models = "locations\Town_Havana\Town_01";
	locations[FindLocation("Redmond_Town_03")].filespath.models = "locations\Town_Havana\Town_03";
	locations[FindLocation("Redmond_Town_04")].filespath.models = "locations\Town_Havana\Town_04";
	// Thomas the Terror <--
}
